API Documentation
Toggle TOC panel
<access-service>/api/v1/organisations/{organisationId}

URL structure

1 https://access-service.xy-company.com/api/v1/organisations/{organisationId}

where {organisationId} is the ID of an organization.

Supported methods and overview

  • DELETE - removes an organization (specified by organisationId) configured on the Covata Platform (available to Safe Share administrators only) on the proviso that this organization has an existing request for its removal (made by another Safe Share administrator).

Note: This method takes no parameters.

Detailed description

This API endpoint removes an organization (specified by organisationId) configured on the Covata Platform by a Safe Share administrator.

For a request to this endpoint to succeed, a previous call to <access-service>/api/v1/organisations/{organisationId}/removalRequest (i.e. to initiate a request to remove this organization) must have already been made by another Safe Share administrator whose access token was submitted in the request to that API endpoint.

Tip: To determine if an organization has an existing request for its removal, use the <access-service>/api/v1/organisations API endpoint to retrieve information about organizations configured on the Covata Platform and if the required organization's organisationRemovalRequest member is not null and contains sub-members, then the organization has an existing request for its removal.

Supported roles and conditions

This API endpoint supports the following Covata user roles (as described in the Safe Share Administrator's Guide):

The Covata Platform's resources available to a Covata user meeting the criteria above is determined by the access token submitted in the header of requests to this endpoint.

Required headers

The appropriate access token as the Bearer token:

  • Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...

Returns

If the request succeeded, then an HTTP response status 200 OK is returned.